Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires: unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           sjasm
Version:        0.42c
Release:        alt1_4
Summary:        A z80 cross assembler
License:        BSD
URL:            http://www.xl2s.tk
Source0:        http://www.xl2s.tk/%{name}42c.zip
Patch0:         sjasm-0.42c-fixmakefile.patch
Patch1:         sjasm-0.42c-skipblanks.patch
Patch2:         sjasm-0.42c-cxx11.patch
Patch3:         sjasm-0.42c-cstring.patch
Patch4:         sjasm-0.42c-signedness.patch

BuildRequires:  gcc-c++
Source44: import.info


%description
SjASM is a two pass macro Z80 cross assembler


%prep
%setup -qc
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
sed -i 's/\r//' %{name}.txt

# Convert to UTF8
iconv -f iso8859-1 %{name}.txt -t utf8 > %{name}.txt.conv \
    && /bin/mv -f %{name}.txt.conv %{name}.txt


%build
make -C sjasmsrc42c %{?_smp_mflags} CXXFLAGS="%{optflags} -DMAX_PATH=MAXPATHLEN"


%install
make -C sjasmsrc42c install DESTDIR=%{buildroot}



%files
%{_bindir}/%{name}
%doc %{name}.txt


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.42c-alt1_4
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.42c-alt1_3
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.42c-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.39-alt2_0.32.g1
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.39-alt2_0.31.g1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.39-alt2_0.30.g1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.39-alt2_0.29.g1
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.39-alt2_0.28.g1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.28.g1
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.27.g1
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.26.g1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.25.g1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.24.g1
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.23.g1
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.22.g1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.19.g1
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.18.g1
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.16.g1
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.15.g1
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.14.g1
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.39-alt1_0.13.g1
- initial fc import

